registerSpecs = {};

local modName = g_currentModName;
local modDirectory = g_currentModDirectory;
registerSpecs.modDirectory = modDirectory;
registerSpecs.addingDone = false

function registerSpecs.emptyFunctionDoNothing()

end

function registerSpecs:register(name)
	
	if not registerSpecs.addingDone then

		g_specializationManager:addSpecialization("mixerWagonFeedMixer", "mixerWagonFeedMixer", modDirectory.."mixerWagonFeedMixer.lua", nil)

		for _, vehicle in pairs(g_vehicleTypeManager:getTypes()) do
			
			local mixerWagonFeedMixer = false;
			local mixerWagon = false;
			
			for _, spec in pairs(vehicle.specializationNames) do
				if spec == "FeedMixer_22.mixerWagonFeedMixer" then 
					mixerWagonFeedMixer = true;
				end
				if spec == "mixerWagon" then
					mixerWagon = true;
				end;			
			end    
			if not mixerWagonFeedMixer and mixerWagon then
				g_vehicleTypeManager:addSpecialization(vehicle.name, "FeedMixer_22.mixerWagonFeedMixer")
			end
		
		end
		registerSpecs.addingDone = true
	end
	
end
TypeManager.finalizeTypes = Utils.prependedFunction(TypeManager.finalizeTypes, registerSpecs.register)


addModEventListener(registerSpecs)